Subject: RE: x-gw: Connection reset by peer ??????????

From: Tony Gale <[email-masked]>
Date: Tue, 08 Aug 2000 14:15:54 +0100 (BST)

On 27-Jul-2000 Maks H wrote:
> 
> I use OS Linux Slackware, version 2.2.13, and as a mather of fact,
> when I use
> TIS FWTK, version 2.1, I have following problemm.
> 
[snip]
> 
> 
> After that x-gw parent-process canselles and all windows suspendes.
> The line
> «read fd:134521304: Connection reset by peet» is never changed.
> Digit
> 134521304 is never changed too.
>

Did you apply the x-gw patch from www.fwtk.org?

The strange number is due to a bug in x-gw/fwd.c, see attached.

-tony

---
E-Mail: Tony Gale <[email-masked]>
So you think that money is the root of all evil.  Have you ever asked what
is the root of money?
		-- Ayn Rand

The views expressed above are entirely those of the writer
and do not represent the views, policy or understanding of
any other person or official body.
*** fwd.c.orig	Tue Aug  8 14:08:43 2000
--- fwd.c	Tue Aug  8 14:13:39 2000
***************
*** 30,37 ****
  
  	if( maxb <=0 ) return bsize;
  	switch( cnt=read(*rfd,&pbuf[bsize],maxb) ) {
! 		case -1: sprintf(buf,"read fd:%d",readfd);  
  			 pmsg(buf,1);
  		case  0: clear_close_fd(*rfd,rset,wset);
  			 cnt= -1;
  			 break;
--- 30,38 ----
  
  	if( maxb <=0 ) return bsize;
  	switch( cnt=read(*rfd,&pbuf[bsize],maxb) ) {
! 		case -1: sprintf(buf,"read fd:%d",*rfd);  
  			 pmsg(buf,1);
+ 			 /* FALL THROUGH */
  		case  0: clear_close_fd(*rfd,rset,wset);
  			 cnt= -1;
  			 break;
***************
*** 51,58 ****
  	int	cnt;
  
  	switch( (cnt=write(*wfd,pbuf,bsize)) ) {
! 		case -1: sprintf(buf,"write fd:%d",readfd);
  			 pmsg(buf,1);
  		case  0: clear_close_fd(*wfd,rset,wset);
  			 return -1;
  		default: if(cnt<bsize) {
--- 52,60 ----
  	int	cnt;
  
  	switch( (cnt=write(*wfd,pbuf,bsize)) ) {
! 		case -1: sprintf(buf,"write fd:%d",*wfd);
  			 pmsg(buf,1);
+ 			 /* FALL THROUGH */
  		case  0: clear_close_fd(*wfd,rset,wset);
  			 return -1;
  		default: if(cnt<bsize) {